%global rel_build 1

%global branch 1.26

%{!?rel_build:%global commit 8e0c8e17e0138afa7757a1bdf8edd6f2c7b47a14}
%{!?rel_build:%global commit_date 20150930}
%{!?rel_build:%global shortcommit %(c=%{commit};echo ${c:0:7})}
%{!?rel_build:%global git_ver git%{commit_date}-%{shortcommit}}
%{!?rel_build:%global git_rel .git%{commit_date}.%{shortcommit}}
%{!?rel_build:%global git_tar %{name}-%{version}-%{git_ver}.tar.xz}

Name:       mate-polkit
Version:    %{branch}.1
%if 0%{?rel_build}
Release:    1%{?dist}
%else
Release:    1%{?dist}
%endif
Summary:    Integrates polkit authentication for MATE desktop
License:    LGPLv2+
URL:        http://mate-desktop.org

%{?rel_build:Source0:     http://pub.mate-desktop.org/releases/%{branch}/%{name}-%{version}.tar.xz}
%{!?rel_build:Source0:    http://git.mate-desktop.org/%{name}/snapshot/%{name}-%{commit}.tar.xz#/%{git_tar}}

BuildRequires: desktop-file-utils
BuildRequires: gtk3-devel
BuildRequires: make
BuildRequires: mate-common
BuildRequires: polkit-devel
BuildRequires: libappindicator-gtk3-devel

Provides:   PolicyKit-authentication-agent
Provides:   mate-polkit-devel = %{version}-%{release}
Provides:   mate-polkit = %{version}-%{release}

%description
Integrates polkit with the MATE Desktop environment


%prep
%if 0%{?rel_build}
%autosetup -p1
%else
%autosetup -n %{name}-%{commit} -p1
%endif

%if 0%{?rel_build}
%else # 0%{?rel_build}
NOCONFIGURE=1 ./autogen.sh
%endif # 0%{?rel_build}

sed -i '/^Categories=/d' src/polkit-mate-authentication-agent-1.desktop.in
sed -i '/^Categories=/d' src/polkit-mate-authentication-agent-1.desktop.in.in

%build
%configure  \
        --disable-static       \
        --enable-accountsservice \
        --enable-appindicator=yes

make %{?_smp_mflags} V=1

%install
%{make_install}

%find_lang %{name}

find %{buildroot} -name '*.la' -exec rm -fv {} ';'

%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%{_libexecdir}/polkit-mate-authentication-agent-1


%changelog
* Thu Aug 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.1-1
- initial build
